Skip to main content

Session count

GET /api/v1/accessControl/sessionCount​

Description​

Retrieves the count of sessions within a specified date range.

Request Parameters (query)​

NameDescriptionRequiredTypeDefault Value
startThe start date-time for the session count range.Nostring (date-time)
endThe end date-time for the session count range.Nostring (date-time)

Responses​

HTTP Status Codes​

CodeDescription
200Success, returns a SessionCount
404Not found, invalid configuration

SessionCount​

NameDescriptionTypeExample
completedNumber of completed sessionsint10
activeNumber of ongoing sessionsint2

Example Usage​

GET /api/v1/accessControl/sessionCount
const headers = new Headers();
headers.append('X-Red-Robin-API-Key', 'API_KEY');
headers.append('Content-Type', 'application/json');

const requestOptions = {
method: 'GET',
headers: headers,
};

fetch('https://se.visibatriage.com/api/v1/accessControl/sessionCount', requestOptions)
.then((response) => response.text())
.then((result) => console.log(result))
.catch((error) => console.log('error', error));

Example Success Response​

{
"completed": 0,
"active": 0
}